Subject: bug#45031: qoauth fail install/build

From: Distopico <[email-masked]>
Date: Sat, 05 Dec 2020 20:20:31 -0500

Thanks, I'll try it, I need install another package that have dependency
of it but not rush. thanks again for your help.

On 2020-12-04, zimoun wrote:

> Hi,
>
> Thanks for the report. Well, something is wrong but it is not easy to
> spot out what.  For example, the history shows,
>
> <https://data.guix.gnu.org/repository/1/branch/master/package/qoauth/output-history>
>
> that something in the qtbase or qca dependencies is going wrong.  Trying
> to locally build with,
>
> --8<---------------cut here---------------start------------->8---
> for ci in $(git log --format="%H %s" | grep qtbase | head -5 | cut -f1 -d' '); \
> do
>    guix time-machine --commit=$ci \
>         -- build qoauth --no-grafts ;
> done
> --8<---------------cut here---------------end--------------->8---
>
> does not build easily.  I am trying to figure out why.
>
>
> In the meantime, if you absolutely need the package qoauth, it is
> avaible with:
>
>    guix time-machine --commit=ec944bdd -- install qoauth
>
> but the substitute is not available, so it will burn a bit of CPU. 
>
>
> Thanks,
> simon